local  m, s, o
if luci.sys.call("uci get uswc.@uswc[0].enable|grep 1 > /dev/null") == 0 then
	m = Map("uswc", translate("uswc"), "%s - %s" %{translate("uswc"), translate("运行中")})
	luci.sys.call("/etc/init.d/uswc-service start")
else
	m = Map("uswc", translate("uswc"), "%s - %s" %{translate("uswc"), translate("未运行")})
	luci.sys.call("/etc/init.d/uswc-service stop")
	luci.sys.call("/etc/init.d/uswc stop")
end
s = m:section(TypedSection, "uswc")
s.anonymous = true

-- Tab

s:tab("status",  translate("状态信息"))
s:tab("Settings",  translate("核心设置"))
--
-- Status
--

-- License
if luci.sys.call("uci get uswc.@uswc[0].license > /dev/null") == 0 then
	license = s:taboption("status",DummyValue, "license", translate("许可信息检测:"), translate("正常."))
else
	license = s:taboption("status",DummyValue, "license", translate("未获取到许可信息.:"), translate("请检查uswc设置."))
end
-- Expiry Time
if luci.sys.call("uci get uswc.@uswc[0].endtime2 > /dev/null") == 0 then
	endtime = s:taboption("status",DummyValue, "endtime", translate("许可有效期限:"), translate("已到期."))
else
	endtime = s:taboption("status",DummyValue, "endtime", translate("许可有效期限:"), translate("未到期."))
end
-- Pay WebSite
if luci.sys.call("uci get uswc.@uswc[0].pay > /dev/null") == 0 then
	pay = s:taboption("status",DummyValue, "pay", translate("WebSite:"))
end
-- Running status
if luci.sys.call("ifconfig vpn-uswc1 > /dev/null") == 0 then
	status = s:taboption("status",DummyValue, "uptime", translate("当前运行状态:"), translate("正常."))
elseif luci.sys.call("ifconfig vpn-uswc2 > /dev/null") == 0 then
	status = s:taboption("status",DummyValue, "uptime", translate("当前运行状态:"), translate("正常."))
else
	status = s:taboption("status",DummyValue, "uptime1", translate("核心程序未运行:"), translate("请稍后，如仍未运行请检查uswc设置."))
end
-- Gateway
if luci.sys.call("uci get uswc.@uswc[0].gw > /dev/null") == 0 then
	Gateway = s:taboption("status",DummyValue, "gw", translate("网络网关检测:"), translate("正常."))
else
	Gateway = s:taboption("status",DummyValue, "gw", translate("网络网关检测:"), translate("请检查路由器的互联网接入是否正确."))
end
-- Version
if luci.sys.call("uci get uswc.@uswc[0].version > /dev/null") == 0 then
	version = s:taboption("status",DummyValue, "version", translate("核心版本检测:"), translate("正常."))
else
	version = s:taboption("status",DummyValue, "version", translate("未获取到核心版本信息.:"), translate("请检查uswc设置."))
end
--openconnect
if luci.sys.call("openconnect -V > /dev/null") == 0 then
	openconnect = s:taboption("status",DummyValue, "opversion", translate("网络组件检测:"), translate("正常."))
else
	openconnect = s:taboption("status",DummyValue, "opversion", translate("未获取到网络组件信息.:"), translate("请检查uswc设置."))
end



--
-- Setting
--
-- enable 开关
enable = s:taboption("Settings",Flag, "enable", translate("运行开关:"))
-- shunt 智能分流开关
shunt = s:taboption("Settings",Flag, "shunt", translate("全局路由:"), translate("修改保存约2~3分钟后生效。可登陆<a href=http://www.ip138.com  target=_blank>http://www.ip138.com</a>确认是否分流。\n 显示国内IP为分流状态。显示海外IP为全局状态。"))
-- license 许可信心修改
license = s:taboption("Settings",Value, "license", translate("许可信息:"), translate("uswc核心设置，非维修人员请勿修改，如您修改此数据，将默认您已经放弃设备保修。"))

-- update
--update = s:taboption("Settings",Button,"update", translate("手动更新:"), translate("手动更新uswc版本使用。非维护人员请勿使用。如您修改此数据，将默认您已经放弃设备保修。")) 
--    update.inputtitle = translate("手动更新...")
--    update.inputstyle = "apply"
--update.write = function(self, section)
--    opstatus = (luci.sys.exec("echo y|uswc update" %{ self.option }) == 0)
--    if  opstatus  then
--      s:taboption("Settings",DummyValue,"update","更新完成","转到状态信息页查看版本信息...") 
--    else  
--      s:taboption("Settings",DummyValue,"update","更新完成","转到状态信息页查看版本信息...") 
--    end
--end

return m